 ixp400_eth.c |    8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

--- ixp400-eth/ixp400_eth.c	1970-01-01 00:00:00.000000000 +0000
+++ ixp400-eth/ixp400_eth.c	1970-01-01 00:00:00.000000000 +0000
@@ -1838,7 +1838,11 @@ static inline void dev_eth_type_trans(un
     skb->len -= header_len;
    
     /* fill the pkt arrival time (set at the irq callback entry) */
+#if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,14)
     skb->stamp = irq_stamp;
+#else
+    skb_set_timestamp(skb, &irq_stamp);
+#endif
  
     /* fill the input device field */
     skb->dev = dev;
@@ -3014,7 +3018,7 @@ static int phy_init(void)
 }
 
 /* set port MAC addr and update the dev struct if successfull */
-int dev_set_mac_address(struct net_device *dev, void *addr)
+static int set_mac_address(struct net_device *dev, void *addr)
 {
     int res;
     IxEthAccMacAddr npeMacAddr;
@@ -3266,7 +3270,7 @@ static int __devinit dev_eth_probe(struc
     ndev->set_multicast_list = dev_set_multicast_list;
     ndev->flags |= IFF_MULTICAST;
 
-    ndev->set_mac_address = dev_set_mac_address;
+    ndev->set_mac_address = set_mac_address;
 
 #ifdef CONFIG_IXP400_NAPI
     ndev->poll = &dev_rx_poll;
